import sys;
import bpy;


C = bpy.context
D = bpy.data

cycles_prefs = C.user_preferences.addons['cycles'].preferences

C.scene.render.use_overwrite = False
C.scene.render.use_placeholder = True
cycles_prefs.compute_device_type = "CUDA"

num = 0
maxgpu = int(sys.argv[len(sys.argv) - 1])
print("==================== ", maxgpu, " GPUs ====================")
for device in cycles_prefs.devices:
	device.use = False

for device in cycles_prefs.devices:
	if device.type == 'CUDA':
		if num < maxgpu:
			print("==================== Assigning GPU ", num, " ====================")
			device.use = True
			num += 1

for device in cycles_prefs.devices:
	print(device.name, " ", device.type, " ", device.use)

for scene in D.scenes:
	scene.cycles.device = 'GPU'
	scene.render.tile_x = 256
	scene.render.tile_y = 256
	scene.render.engine = 'CYCLES'
